#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
# filter out some bogues devel() requires
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}devel\\(libKF5BalooEngine

%define rel 1
%define framework baloo

Summary:        Baloo is a framework for searching and managing metadata
Name:           %framework
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{framework}-%{version}.tar.xz
Source1:        97-kde-baloo-filewatch-inotify.conf

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kf5-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  lmdb-devel

BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Quick)


BuildRequires:  ki18n-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kidletime-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kfilemetadata-devel >= %version

BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version

Conflicts:   kde-l10n < 15.04.3

%rename plasma5-baloo

%description
Baloo is a framework for searching and managing metadata.

%files  -f %name.lang
%_kf5_sysconfdir/xdg/autostart/baloo_file.desktop
%_kf5_sysconfdir/xdg/baloo.categories
%_kf5_bindir/baloo_file
%_kf5_bindir/baloo_file_extractor
%_kf5_bindir/balooctl
%_kf5_bindir/baloosearch
%_kf5_bindir/balooshow
%_kf5_plugindir/kded/*.so
%_datadir/dbus-1/interfaces/org.kde.baloo.fileindexer.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.main.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.scheduler.xml
%_datadir/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
%_kf5_iconsdir/hicolor/128x128/apps/baloo.png
%_kf5_services/*.protocol
%_kf5_plugindir/kio/*.so
%_kf5_qmldir/org/kde/baloo
%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf

#--------------------------------------------------------------------

%define kf5baloocore_major 5
%define libkf5baloocore %mklibname kf5baloocore %{kf5baloocore_major}

%package -n %libkf5baloocore
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libkf5baloocore
Baloo is a framework for searching and managing metadata.

%files -n %libkf5baloocore
%_kf5_libdir/libKF5Baloo.so.%{kf5baloocore_major}*

#--------------------------------------------------------------------

%define kf5balooengine_major 5
%define libkf5balooengine %mklibname kf5balooengine %{kf5balooengine_major}

%package -n %libkf5balooengine
Summary:      Baloo is a framework for searching and managing metadata
Group:        System/Libraries

%description -n %libkf5balooengine
Baloo is a framework for searching and managing metadata.

%files -n %libkf5balooengine
%_kf5_libdir/libKF5BalooEngine.so.%{kf5balooengine_major}*

#--------------------------------------------------------------------

%define baloo_devel %mklibname %name -d
%define old_baloo_devel %mklibname plasma5-%name -d

%package -n %baloo_devel

Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5baloocore = %version-%release
Requires:       %libkf5balooengine = %version-%release
Provides:       %name-devel = %{version}-%{release}
Conflicts:      %name < 5.3.2-5

%rename  %old_baloo_devel

%description -n %baloo_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %baloo_devel
%_kf5_includedir/Baloo
%_kf5_includedir/baloo_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Baloo
%_kf5_libdir/pkgconfig/Baloo.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build

install -p -m644 -D %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/97-kde-baloo-filewatch-inotify.conf

%find_lang %name --all-name


%changelog
* Thu Feb 01 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1198396
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089415
- Rebuild for armv5

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088937
- New version 5.32.0

* Mon Dec 26 2016 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1078111
- Rebuild for arm

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074508
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072169
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058328
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050505
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049270
- rebuild to make available on armv5

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045083
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041305
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021904
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014314
- New version 5.22.0

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1000930
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986302
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942223
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921257
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913077
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909873
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900665
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899547
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898902
- New version 5.16.0

* Sun Oct 11 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 889695
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-2.mga6
+ Revision: 881912
+ rebuild (emptylog)

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881694
- New version 5.14.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-3.mga6
+ Revision: 863518
- Make baloo-devel requires baloo

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 863502
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863301
- New version 5.13.0
- New version 5.13.0

* Sun Aug 09 2015 neoclust <neoclust> 5.9.1-5.mga6
+ Revision: 861693
- Fix file lists

* Fri Jul 31 2015 neoclust <neoclust> 5.9.1-4.mga6
+ Revision: 859879
- Rebuild because of kf5-kfilemetadata-devel renaming

* Mon Jul 20 2015 neoclust <neoclust> 5.9.1-3.mga6
+ Revision: 855563
- Add conflicts to ease upgrade

* Thu Jul 09 2015 neoclust <neoclust> 5.9.1-2.mga6
+ Revision: 853004
- Rebuild with  new name
- Rename and use baloo by default
- Rename

* Thu Jul 02 2015 neoclust <neoclust> 5.9.1-1.mga6
+ Revision: 849522
- New version 5.9.1

* Mon Feb 23 2015 lmenut <lmenut> 5.1.2-2.mga5
+ Revision: 816628
- add version to conflicts

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804144
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-5.mga5
+ Revision: 793587
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 739663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 687638
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663898
- Rename to plasma5-baloo
- Do not use kf5 in the name as this is not a framework

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662146
- New version 5.0.1

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653362
- imported package kf5-baloo

